1) For showing diferences of both ways of programming.
2) analysis, design, implementation.
3)they are sending to each other  long messeges or short messages...that can be information messege or message about love.
4)button and screen interfaces and etc.
